# Class JMeterColor

java.lang.Object
java.awt.Color
org.apache.jmeter.gui.util.JMeterColor

All Implemented Interfaces:
  `Paint, Transparency, Serializable`

public class JMeterColor extends Color

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`dark_green`
`static final Color`
`LAVENDER`
`static final Color`
`purple`

### Fields inherited from class Color

`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

### Fields inherited from interface Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

## Constructor Summary

Constructors
Constructor
Description
`JMeterColor()`
`JMeterColor(float r, float g, float b)`

## Method Summary

### Methods inherited from class Color

`brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dark_green

public static final Color dark_green

### LAVENDER

public static final Color LAVENDER

### purple

public static final Color purple

## Constructor Details

### JMeterColor

public JMeterColor(float r, float g, float b)

### JMeterColor

public JMeterColor()